Subject: Re: What's cooking in git.git (Dec 2008, #02; Sun, 14)

From: Jakub Narebski <[email-masked]>
Date: Sun, 14 Dec 2008 03:08:24 -0800 (PST)

Junio C Hamano <[email-masked]> writes:

> ----------------------------------------------------------------
> [New Topics]
> 
> * jn/gitweb-blame (Thu Dec 11 01:33:29 2008 +0100) 3 commits
>  - gitweb: cache $parent_commit info in git_blame()
>  - gitweb: A bit of code cleanup in git_blame()
>  - gitweb: Move 'lineno' id from link to row element in git_blame
> 
> I've briefly looked at the resurrection of Ajaxy blame that comes on top
> of this series and it looked promising.

AJAXy blame in my opinion is not yet ready.  Close, but not yet.
At minimal I'd have to remove or separate the 'time to generate'
patch.

I wonder if it should made into 1.6.1 for the performance improvements
in 'blame' view...
 
> * sc/gitweb-category (Fri Dec 12 00:45:12 2008 +0100) 3 commits
>  - gitweb: Optional grouping of projects by category
>  - gitweb: Split git_project_list_body in two functions
>  - gitweb: Modularized git_get_project_description to be more generic

It shapes nicely, and I think with one more commit on top (or with
extending topmost commit) we can have categories sorted in given
order, and not hardcoded to always be in alphabetic order.

> ----------------------------------------------------------------
> [Post 1.6.1 items]
> 
> * gb/gitweb-patch (Sat Dec 6 16:02:35 2008 +0100) 3 commits
>  - gitweb: link to patch(es) view from commit and log views
>  - gitweb: add patches view
>  - gitweb: add patch view
> 
> Updated series.  Reviews and Acks?

I'll try to find time to review (and most probably Ack) later today.
 
> ----------------------------------------------------------------
> [Graduated to "master"]
>
> * jn/gitweb-utf8 (Mon Dec 1 19:01:42 2008 +0100) 1 commit
>  + gitweb: Fix handling of non-ASCII characters in inserted HTML
>    files.
> 
> A bugfix.

What about

   + gitweb: Fix bug in insert_file() subroutine

Isn't it in the same topic branch?

I am very sorry for buginess of this patch series...

[...] 
> ----------------------------------------------------------------
> [On Hold]
> 
> * jc/stripspace (Sun Mar 9 00:30:35 2008 -0800) 6 commits
>  - git-am --forge: add Signed-off-by: line for the author
>  - git-am: clean-up Signed-off-by: lines
>  - stripspace: add --log-clean option to clean up signed-off-by:
>    lines
>  - stripspace: use parse_options()
>  - Add "git am -s" test
>  - git-am: refactor code to add signed-off-by line for the committer

What happened to this series to be so stale^Wstalled?

-- 
Jakub Narebski
Poland
ShadeHawk on #git